# Retrieve the schema for Redpanda Connect pipeline configurations

**GET /v1/redpanda-connect/config-schema**

The configuration schema includes available [components and processors](https://docs.redpanda.com/redpanda-cloud/develop/connect/components/about) in this Redpanda Connect instance.


## Servers
- Data Plane API: https://{dataplane_api_subdomain}.cloud.redpanda.com (Data Plane API)


## Authentication methods
- Auth0


## Parameters




## Responses
### 200
OK

#### Body: application/json (object)
- **config_schema** (string)
  JSON schema of the configuration components that are allowed for Connect pipelines.

### 401
Unauthenticated.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### 500
Internal Server Error. Reach out to support.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.

### default
An unexpected error response.

#### Body: application/json (object)
- **code** (string(int32))
  RPC status code, as described [here](https://github.com/googleapis/googleapis/blob/b4c238feaa1097c53798ed77035bbfeb7fc72e96/google/rpc/code.proto#L32).
- **details** (array[object])
  A list of messages that carries the error details.
- **message** (string)
  Detailed error message. No compatibility guarantees are given for the text contained in this message.


[Powered by Bump.sh](https://bump.sh)
